package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * Description 曲目购买参数
 *
 * @author liujunchi
 * @date 2022-04-21
 */
@ApiModel("曲目购买参数")
public class MusicSheetPayDto {

    @ApiModelProperty("曲目id")
    private Long musicSheetId;

    @ApiModelProperty("订单金额")
    private BigDecimal actualPrice;

    @ApiModelProperty("老师端： TEACHER 学生端：STUDNET")
    private String clientType;

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public Long getMusicSheetId() {
        return musicSheetId;
    }

    public void setMusicSheetId(Long musicSheetId) {
        this.musicSheetId = musicSheetId;
    }

    public BigDecimal getActualPrice() {
        return actualPrice;
    }

    public void setActualPrice(BigDecimal actualPrice) {
        this.actualPrice = actualPrice;
    }
}
